aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@gmail.com>2009-02-20 09:59:41 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-02-20 12:12:00 +0000
commitdd17281c4c19f62892d45a792fc5d4258eaaf024 (patch)
tree06f6651200af9da277d6cb93291551b5ff8b3793
parentaf317cb0532e108a520274f3b657c89395cb16d8 (diff)
downloadaports-dd17281c4c19f62892d45a792fc5d4258eaaf024.tar.gz
aports-dd17281c4c19f62892d45a792fc5d4258eaaf024.tar.bz2
aports-dd17281c4c19f62892d45a792fc5d4258eaaf024.tar.xz
extra/iptraf: new aport
-rw-r--r--extra/iptraf/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/extra/iptraf/APKBUILD b/extra/iptraf/APKBUILD
new file mode 100644
index 0000000000..95e9de3f35
--- /dev/null
+++ b/extra/iptraf/APKBUILD
@@ -0,0 +1,37 @@
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=iptraf
+pkgver=3.0.0
+pkgrel=0
+pkgdesc="IP Network Monitoring Software"
+url="http://iptraf.seoul.org"
+license="GPL"
+depends="uclibc ncurses"
+makedepends="ncurses-dev"
+install=
+subpackages="$pkgname-doc"
+source="ftp://iptraf.seul.org/pub/$pkgname/$pkgname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver/src"
+
+ sed -i -e s:/var/local/iptraf:/var/lib/iptraf: \
+ -e s:/usr/local/bin:/usr/sbin: dirs.h
+ make CFLAGS="$CFLAGS" DEBUG="" TARGET="/usr/sbin" \
+ WORKDIR="/var/lib/iptraf" || return 1
+
+ for sbin in iptraf rvnamed; do
+ /bin/install -D -m755 $sbin $pkgdir/usr/sbin/$sbin
+ done
+
+ cd ../Documentation
+ for man in *.8; do
+ /bin/install -D -m644 $man $pkgdir/usr/share/man/man8/$man
+ done
+
+ for dir in lib log run; do
+ /bin/mkdir -p $pkgdir/var/$dir/iptraf
+ done
+}
+
+md5sums="377371c28ee3c21a76f7024920649ea8 iptraf-3.0.0.tar.gz"